Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231525 - RFE: add '--hint' option [NEEDINFO]
Summary: RFE: add '--hint' option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: Kevin Baker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-08 20:43 UTC by Enrico Scholz
Modified: 2014-12-01 23:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-10-18 14:13:52 UTC
poelstra: needinfo? (pvrabec)


Attachments (Terms of Use)
adds '--hint' option to useradd (deleted)
2007-03-08 20:43 UTC, Enrico Scholz
no flags Details | Diff

Description Enrico Scholz 2007-03-08 20:43:40 UTC
[there does not seem to exist an upstream location for shadow-utils, so I
request the patch here]

Description of problem:

Please apply the attached patch; it adds an '--hint <str>' option which allows
to create system users with a predictable uid. It replaces the current
fedora-usermgmt script in a way like:

old:
| fedora-useradd 42 -r joe

new:
| useradd --hint 42 -r joe

ditto for 'groupadd'.


You have to create a translator script like

| #! /bin/sh
| echo $[ $2 + 50000 ]

which gets called as '<script> (GROUP|USER) <hint> [<username>]'

This script is make know with the 'TRANSLATE_ID_PROG' def.

Comment 1 Enrico Scholz 2007-03-08 20:43:40 UTC
Created attachment 149628 [details]
adds '--hint' option to useradd

Comment 2 Axel Thimm 2007-03-09 15:42:58 UTC
This method (floating uid/gid window) is considered flawed by many, and should
probably be banned by the packaging guidelines altogether. Please do not apply
this patch to shadow-utils.


Comment 3 Enrico Scholz 2007-03-09 16:15:46 UTC
What are the flaws you are referring to?

Comment 4 Enrico Scholz 2007-03-09 17:26:21 UTC
and btw... there is no "floating" window of uids

Comment 5 Axel Thimm 2007-03-10 13:08:25 UTC
(In reply to comment #3)
> What are the flaws you are referring to?

Is this the same Enrico that is subscribed to fedora-maintainers?

(In reply to comment #4)
> and btw... there is no "floating" window of uids

Isn't this about merging in fedora-usermgmt into useradd? The former's intention
is to setup users in a floating uid/gid window determined by the admin of each
system.


Comment 6 Enrico Scholz 2007-03-10 14:16:21 UTC
>> What are the flaws you are referring to?
>Is this the same Enrico that is subscribed to fedora-maintainers?

yes; but the fedora-maintainers thread does not answer my question


> Isn't this about merging in fedora-usermgmt into useradd? The former's 
> intention is to setup users in a floating uid/gid window

You are misinformed; please learn how fedora-usermgmt works before continueing

Comment 7 Axel Thimm 2007-03-12 11:54:46 UTC
(In reply to comment #6)
> yes; but the fedora-maintainers thread does not answer my question

If the mail thread doesn't answer your questions, bugzilla will even less serve
your needs, it's far less a discussion medium than a mailing list. So please
address this in the already established thread, no need to repeat the same
discussion on every corner of this planet.

> You are misinformed; please learn how fedora-usermgmt works before continueing

That implies that everyone who doesn't like fedora-usermgmt is a moron, or that
fedora-usermgmt requires a degree in rocket science to be able to understand it.

I'm quite sure I know how it works and you know it. Pretending that you haven't
heard of flaws or that noone understands your work is not really helping.

Comment 8 Enrico Scholz 2007-03-12 12:17:59 UTC
Thread does not tell any technical flaw. And your continous mentioning of a
"floating window" shows, that you do not understand how 'fedora-usermgmt' works.

Comment 9 Jon Stanley 2008-04-23 20:30:42 UTC
Adding FutureFeature keyword to RFE's.

Comment 10 John Poelstra 2008-08-28 00:10:30 UTC
What is that current thought on this feature/attached patch?  Should this bug remain open or be closed?

Comment 12 Tomas Mraz 2013-10-18 14:13:52 UTC
The upstream exists and it should be discussed there: http://pkg-shadow.alioth.debian.org/


Note You need to log in before you can comment on or make changes to this bug.